
Foreman - Feature #2407

Allow Plugins to display their config in the Settings UI

04/17/2013 12:42 PM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Plugin integration   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Plugins should be configurable in the UI. Disabled Plugins should not be displayed, but should remain in the UI in case they are

re-enabled. Patch incoming :)

Related issues:

Related to Foreman - Bug #2766: Setting categories not consistently loaded an... Closed 07/09/2013

Associated revisions

Revision 86007852 - 04/25/2013 01:15 PM - Greg Sutcliffe

fixes #2407 - Add STI to settings model

Also adds some tests for rendering new/missing STI models, and

refactors the old default_settings loader into the new sub-models.

History

#1 - 04/25/2013 03:19 PM - Greg Sutcliffe

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset 860078524b3343394ea78a8ebd871e12e063fce2.
